Package org.stianloader.micromixin.transform.internal.annotation

## Class MixinDescAnnotation

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.annotation.MixinDescAnnotation

    public class MixinDescAnnotation
    extends java.lang.Object

### Field Summary

Fields
`org.objectweb.asm.Type[]` `args`
`org.objectweb.asm.Type` `owner`
`org.objectweb.asm.Type` `ret`
`MemberDesc` `targetField`
`MemberDesc` `targetMethod`
`java.lang.String` `value`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static MixinDescAnnotation` `parse​(org.objectweb.asm.tree.ClassNode node, org.objectweb.asm.tree.AnnotationNode atValue)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### owner

    @Nullable
    public final org.objectweb.asm.Type owner

#### value

    @NotNull
    public final java.lang.String value

#### args

    @Nullable
    public final org.objectweb.asm.Type[] args

#### ret

    @Nullable
    public final org.objectweb.asm.Type ret

#### targetMethod

    @NotNull
    public final MemberDesc targetMethod

#### targetField

    @NotNull
    public final MemberDesc targetField

### Method Detail

#### parse

    @NotNull
    public static MixinDescAnnotation parse​(@NotNull
                                            org.objectweb.asm.tree.ClassNode node,
                                            @NotNull
                                            org.objectweb.asm.tree.AnnotationNode atValue)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`